## ssh-audit 2.2.0

=== pypi/Makefile ===
all:
	cp ../ssh-audit.py sshaudit/sshaudit.py
	cp ../LICENSE sshaudit/LICENSE
	cp ../README.md sshaudit/README.md
	python3 setup.py sdist bdist_wheel

uploadtest:
	twine upload --repository-url https://test.pypi.org/legacy/ dist/*

uploadprod:
	twine upload dist/*

clean:
	rm -rf build/ dist/ *.egg-info/ sshaudit/sshaudit.py sshaudit/LICENSE sshaudit/README.md

## ssh-audit 1.7.0

=== debian/changelog ===
ssh-audit (1.7.0-2) unstable; urgency=medium

  * Fix Vcs-Git Field.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 29 Jan 2017 16:54:13 +0800

ssh-audit (1.7.0-1) unstable; urgency=medium

  * Initial release (Closes: #841035)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 22 Jan 2017 23:51:46 +0800

=== debian/control ===
Source: ssh-audit
Section: admin
Priority: optional
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>= 10),
               asciidoc-base,
               dh-exec,
               dh-python,
               python3-pytest,
               python3,
               xmlto,
Standards-Version: 3.9.8
Homepage: https://github.com/arthepsy/ssh-audit
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ssh-audit.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ssh-audit.git

Package: ssh-audit
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
Description: tool for ssh server auditing
 ssh-audit is a tool for ssh server auditing with the following
 features:
 .
  * SSH1 and SSH2 protocol server support;
  * grab banner, recognize device or software and operating system,
    detect compression;
  * gather key-exchange, host-key, encryption and message authentication
    code algorithms;
  * output algorithm information (available since, removed/disabled,
    unsafe/weak/legacy, etc);
  * output algorithm recommendations (append or remove based on
    recognized software version);
  * output security information (related issues, assigned CVE list,
    etc);
  * analyze SSH version compatibility based on algorithm information;
  * historical information from OpenSSH, Dropbear SSH and libssh;
  * no dependencies, compatible with Python 2.6+, Python 3.x and PyPy;

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with python3

override_dh_auto_configure:
	cat debian/*manpages | sed 's/$$/.txt/p' | xargs -n 1 a2x --doctype manpage --format manpage
	dh_auto_configure

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
	py.test-3

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ssh-audit-$1.tar.gz%" \
   https://github.com/arthepsy/ssh-audit/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ssh-audit 2.2.0

=== debian/changelog ===
ssh-audit (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0.
    * Change upstream to jtesta's fork. (Closes: #940833)
    * Update copyright.
  * Bump Standards-Version to 4.5.0.
    * Add signature check for upstream tarball.
    * Add Rules-Requires-Root to no.
  * Bump compat to 13.
  * Update Vcs-* fields to salsa (Closes: #940834)
  * Check nocheck in DEB_BUILD_OPTIONS.
  * Remove deprecated test cases as upstream suggested.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 03 May 2020 20:09:18 +0800

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: admin
 Priority: optional
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                asciidoc-base,
                dh-exec,
                dh-python,
                python3-pytest,
                python3,
                xmlto,
-Standards-Version: 3.9.8
-Homepage: https://github.com/arthepsy/ssh-audit
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ssh-audit.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ssh-audit.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://github.com/jtesta/ssh-audit
+Vcs-Git: https://salsa.debian.org/debian/ssh-audit.git
+Vcs-Browser: https://salsa.debian.org/debian/ssh-audit
 
 Package: ssh-audit
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,6 @@
 	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	py.test-3
+endif

## ssh-audit 2.5.0

=== debian/changelog ===
ssh-audit (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0.
  * Update upstream signing-key.asc.
  * Bump Standards-Version to 4.6.0.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 29 Aug 2021 21:20:48 +0800

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
                asciidoc-base,
                dh-exec,
                dh-python,
+               python3,
                python3-pytest,
-               python3,
+               python3-setuptools,
                xmlto,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/jtesta/ssh-audit
 Vcs-Git: https://salsa.debian.org/debian/ssh-audit.git

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE = 1
 
 %:
-	dh $@ --with python3
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_configure:
 	cat debian/*manpages | sed 's/$$/.txt/p' | xargs -n 1 a2x --doctype manpage --format manpage
@@ -13,5 +13,8 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	py.test-3
+	PYTHONPATH=$(CURDIR)/src py.test-3
 endif
+
+override_dh_clean:
+	dh_clean $(CURDIR)/src/*.egg-info/

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/" \
   https://github.com/jtesta/ssh-audit/releases \
   .*/ssh-audit-(\d[\d.]*)\.tar.gz debian uupdate

## ssh-audit 2.9.0

=== debian/changelog ===
ssh-audit (2.9.0-1) unstable; urgency=medium

  [ Joe Testa ]
  * Switched to upstream manpage.

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.6.2.
  * Add d/upstream/metadata.
  * Update d/watch.
  * Update d/copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 28 Jun 2023 02:59:37 +0800

## ssh-audit 3.0.0

=== debian/changelog ===
ssh-audit (3.0.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1051610)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 10 Sep 2023 23:00:50 +0800

## ssh-audit 3.1.0

=== debian/changelog ===
ssh-audit (3.1.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1059739)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 31 Dec 2023 16:59:15 +0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-pytest,
                python3-setuptools,
                xmlto,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/jtesta/ssh-audit
 Vcs-Git: https://salsa.debian.org/debian/ssh-audit.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_configure:
-	cat debian/*manpages | sed 's/$$/.txt/p' | xargs -n 1 a2x --doctype manpage --format manpage
 	dh_auto_configure
 
 override_dh_python3:

## ssh-audit 3.3.0

=== debian/changelog ===
ssh-audit (3.3.0-2) unstable; urgency=medium

  [ Joe Testa ]
  * Updated project description & copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 29 Oct 2024 01:02:38 +0800

ssh-audit (3.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 28 Oct 2024 23:53:55 +0800

=== debian/control ===
--- 
+++ 
@@ -21,11 +21,12 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${python3:Depends},
-Description: tool for ssh server auditing
- ssh-audit is a tool for ssh server auditing with the following
- features:
+Description: tool for ssh server & client auditing
+ ssh-audit is a tool for ssh server & client configuration
+ auditing with the following features:
  .
   * SSH1 and SSH2 protocol server support;
+  * analyze SSH client configuration;
   * grab banner, recognize device or software and operating system,
     detect compression;
   * gather key-exchange, host-key, encryption and message authentication
@@ -34,8 +35,9 @@
     unsafe/weak/legacy, etc);
   * output algorithm recommendations (append or remove based on
     recognized software version);
-  * output security information (related issues, assigned CVE list,
-    etc);
   * analyze SSH version compatibility based on algorithm information;
   * historical information from OpenSSH, Dropbear SSH and libssh;
-  * no dependencies, compatible with Python 2.6+, Python 3.x and PyPy;
+  * policy scans to ensure adherence to a hardened/standard configuration;
+  * runs on Linux and Windows;
+  * supports Python 3.8 - 3.13;
+  * no dependencies;

=== debian/watch ===
version=4
opts="downloadurlmangle=s/archive\/refs\/tags\/v@ANY_VERSION@@ARCHIVE_EXT@/releases\/download\/v$1\/@PACKAGE@-$1\.tar\.gz/, pgpsigurlmangle=s/$/.sig/" \
https://github.com/jtesta/@PACKAGE@/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@
